'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  offCanvasBtn: {
    zIndex: 901,
    outline: 'none',
    backgroundColor: 'transparent',
    border: 0
  }
};

var TogglerButton = function TogglerButton(_ref) {
  var onClick = _ref.onClick,
      open = _ref.open,
      className = _ref.className,
      classes = _ref.classes,
      openIconClass = _ref.openIconClass,
      closedIconClass = _ref.closedIconClass;
  return _react2.default.createElement(
    'button',
    { style: styles.offCanvasBtn, onClick: onClick },
    _react2.default.createElement('i', {
      className: (open ? openIconClass : closedIconClass) + ' ' + className,
      'aria-hidden': 'true'
    })
  );
};

exports.default = TogglerButton;